module Spor.Token.Size.Breakpoint exposing (Breakpoint, toCss, sm, md, lg)

{-| This module was automaticly generated by the [spor-design-tokens](https://github.com/nsbno/spor) project.

@docs Breakpoint, toCss, sm, md, lg
-}

import Css

{-| An opaque type representing a ${this.name} value.
-}
type Breakpoint =
    Breakpoint Css.Px

{-| Convert Breakpoint into Css.Px.
-}
toCss : Breakpoint -> Css.Px
toCss (Breakpoint value) =
    value

{-| Phones in landscape mode, tablets in portrait mode
-}
sm : Breakpoint
sm =
    Breakpoint <| Css.px 756


{-| Medium sized laptop screens
-}
md : Breakpoint
md =
    Breakpoint <| Css.px 1440


{-| Large laptop screens
-}
lg : Breakpoint
lg =
    Breakpoint <| Css.px 1920

